using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarCenterContracts.StoragesContracts
{
    public interface IInspectionStorage
    {
        List<InspectionViewModel> GetFullList();

        List<InspectionViewModel> GetFilteredList(InspectionSearchModel model);

        InspectionViewModel? GetElement(InspectionSearchModel model);

        InspectionViewModel? Insert(InspectionBindingModel model);

        InspectionViewModel? Update(InspectionBindingModel model);

        InspectionViewModel? Delete(InspectionBindingModel model);
    }
}
